Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.socials.reply({
postId: "<id>",
requestBody: {
accountId: "<id>",
message: "<value>",
},
});
console.log(result);
}
run();curl --request POST \
--url https://api.crevio.co/v1/socials/posts/{post_id}/comments \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "<string>",
"message": "<string>",
"comment_id": "<string>",
"parent_cid": "<string>",
"root_uri": "<string>",
"root_cid": "<string>"
}
'import requests
url = "https://api.crevio.co/v1/socials/posts/{post_id}/comments"
payload = {
"account_id": "<string>",
"message": "<string>",
"comment_id": "<string>",
"parent_cid": "<string>",
"root_uri": "<string>",
"root_cid": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_id: '<string>',
message: '<string>',
comment_id: '<string>',
parent_cid: '<string>',
root_uri: '<string>',
root_cid: '<string>'
})
};
fetch('https://api.crevio.co/v1/socials/posts/{post_id}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request was malformed or contained invalid parameters"
}
}{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "The requested resource was not found"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"errors": {}
}
}{
"error": {
"type": "validation_error",
"code": "validation_failed",
"message": "Email is required",
"errors": {
"email": [
"can't be blank"
]
}
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}Social
Reply to a post or comment
Posts a public reply to the post, or to a specific comment when comment_id is given. Published as the chosen connected account. Requires the post to be published.
POST
/
socials
/
posts
/
{post_id}
/
comments
Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.socials.reply({
postId: "<id>",
requestBody: {
accountId: "<id>",
message: "<value>",
},
});
console.log(result);
}
run();Authorizations
API key in the format: Bearer {api_token}
Path Parameters
Post ID (prefix_id)
Body
application/json
Response
Reply created
The response is of type object.
Was this page helpful?
⌘I

